Skip to main content

Single Order History

Request to be POSTed to uri : /NorenWClientAPI/SingleOrdHist

Request Details :

Json FieldsPossible valueDescription
jData*Should send json object with fields in below list
Json FieldsPossible valueDescription
uid*Logged in User Id
norenordno*Noren Order Number

Example:

curl --location 'https://api.kambala.co.in/NorenWClientAPI/SingleOrdHist' \
--header 'Content-Type: text/plain' \
--header 'Authorization: Bearer 437e92cc2b54c69185a5dc84c535642cea60dcdd65b7ff82845c82d109583695' \
--data 'jData={"uid":"DEMO", "norenordno":"20121300065716"}'

Response Details :

Response data will be in json Array of objects with below fields in case of success.

Json FieldsPossible valueDescription
statOk or Not_OkOrder book success or failure indication.
norenordnoNoren Order Number
kididKid Id
uidLogged in User Id
src_uidSource user Id
actidLogin users account ID
exchExchange Segment
tsymTrading symbol / contract on which order is placed.
qtyOrder Quantity
trantypeB / STransaction type of the order
prctypLMTPrice type
retDAY / IOC / EOSOrder validity
rejbyrejected by
panPAN
ordersourceOrder Source
tokenContract Token
ppPrice precision
lsLot size
tiTick size
prcOrder Price
dscqtyOrder disclosed quantity.
s_prdt_ali
prdDisplay product alias name, using prarr returned in user details.
statusOrder status
st_intrn
rptReport Type (fill/complete etc)
ordenttmOrder time stamp
norentmNoren time stamp
exch_tmExchange time stamp
remarksAny message Entered during order entry.
exchordidExchange Order Number
rejreasonIf order is rejected, reason in text form
introp_exchInterop exchange
fillsharesTotal Traded Quantity of this order
avgprcAverage trade price of total traded quantity
cancelqtyCanceled quantity for order which is in status cancelled.
trgprcOrder trigger price
bpprcBook Profit Price applicable only if product is selected as B (Bracket order )
blprcBook loss Price applicable only if product is selected as H and B (High Leverage and Bracket order )
trailprcTrailing Price applicable only if product is selected as H and B (High Leverage and Bracket order )
amoYes / Noamo orders

Response data will be in json format with below fields in case of failure:

Json FieldsPossible valueDescription
statNot_OkOrder book failure indication.
request_timeResponse received time.
emsgError message

Sample Success Response :

[
{
"stat": "Ok",
"norenordno": "20121300065716",
"uid": "DEMO",
"actid": "DEMO",
"exch": "NSE",
"tsym": "ACCELYA-EQ",
"qty": "180",
"trantype": "B",
"prctyp": "LMT",
"ret": "DAY",
"token": "7053",
"pp": "2",
"ls": "1",
"ti": "0.05",
"prc": "800.00",
"avgprc": "800.00",
"dscqty": "0",
"prd": "M",
"status": "COMPLETE",
"rpt": "Fill",
"fillshares": "180",
"norentm": "19:59:32 13-12-2020",
"exch_tm": "00:00:00 01-01-1980",
"remarks": "WC TEST Order",
"exchordid": "6858"
},
{
"stat": "Ok",
"norenordno": "20121300065716",
"uid": "DEMO",
"actid": "DEMO",
"exch": "NSE",
"tsym": "ACCELYA-EQ",
"qty": "180",
"trantype": "B",
"prctyp": "LMT",
"ret": "DAY",
"token": "7053",
"pp": "2",
"ls": "1",
"ti": "0.05",
"prc": "800.00",
"dscqty": "0",
"prd": "M",
"status": "OPEN",
"rpt": "New",
"norentm": "19:59:32 13-12-2020",
"exch_tm": "00:00:00 01-01-1980",
"remarks": "WC TEST Order",
"exchordid": "6858"
},
{
"stat": "Ok",
"norenordno": "20121300065716",
"uid": "DEMO",
"actid": "DEMO",
"exch": "NSE",
"tsym": "ACCELYA-EQ",
"qty": "180",
"trantype": "B",
"prctyp": "LMT",
"ret": "DAY",
"token": "7053",
"pp": "2",
"ls": "1",
"ti": "0.05",
"prc": "800.00",
"dscqty": "0",
"prd": "M",
"status": "PENDING",
"rpt": "PendingNew",
"norentm": "19:59:32 13-12-2020",
"remarks": "WC TEST Order"
},
{
"stat": "Ok",
"norenordno": "20121300065716",
"uid": "DEMO",
"actid": "DEMO",
"exch": "NSE",
"tsym": "ACCELYA-EQ",
"qty": "180",
"trantype": "B",
"prctyp": "LMT",
"ret": "DAY",
"token": "7053",
"pp": "2",
"ls": "1",
"ti": "0.05",
"prc": "800.00",
"prd": "M",
"status": "PENDING",
"rpt": "NewAck",
"norentm": "19:59:32 13-12-2020",
"remarks": "WC TEST Order"
}
]

Sample Error Response :

{
"stat": "Not_Ok",
"emsg": "Session Expired : Invalid User Id"
}